Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-rfc4582bis-07.txt

From: Tom Kristensen <[email-masked]>
Date: Fri, 04 Jan 2013 16:59:37 +0100

On 12/27/2012 12:03 AM, Charles Eckel (eckelcu) wrote:
> Hi Tom,
Thanks Charles. Fixed all but the first issue in my local version of the 
draft.

> I had a close look at the changes, and overall they look okay to me.
> During my review, I did notice a few editorial things that are worth fixing:
> 1) many of the references to [16] do not work correctly, including the first reference in section 3.2, as well as those in section 6.2.
>    
What do you mean by references not working correctly?

> 2) For the note added in section 5.1, you have an extra 'a' and are missing a comma:
> r/BFCP is designed to a achieve small message size, as explained in Section 1 and BFCP entities/BFCP is designed to achieve small message size, as explained in Section 1, and BFCP entities
>    
Right. Fixed.

> 3) Section 6.2:
> r/ security considerations in Section 6 also applies/security considerations in Section 6 also apply
>    
Indeed. Fixed.

> 4) section 6.2.3:
> r/A Denial of Service (DoS) attacks/A Denial of Service (DoS) attack
>    
Yes. Fixed.

> 5) Section 8, I think we should rework the following paragraph:
>
>     When using BFCP over unreliable transport, it is also required to
>     choose values that let the receiver distinguish the reception of the
>     next message in a sequence of BFCP messages from a retransmission of
>     a previous message.  Therefore, BFCP entities using unreliable
>     transport SHOULD use monotonically increasing values for the
>     Transaction ID.
>
> To read as follows:
>
>     When using BFCP over an unreliable transport, it is important that the initiator
>     of a transaction choose a Transaction ID value that lets the receiver distinguish
>     the reception of the next message in a sequence of BFCP messages from a retransmission of
>     a previous message.  Therefore, BFCP entities using an unreliable  transport SHOULD use
>     monotonically increasing Transaction ID values.
>    
Much better. Great with input from native English speakers ;-)

> 6) Section 8,
> r/When using BFCP over unreliable transports/When using BFCP over an unreliable transport
> Note, a similar change was made in many places in order to address comments from Gonzalo; however, a global search and replace should be done to catch numerous other places in which it still occurs.
>    
Searched through and fixed. Also for "reliable transports".

-- Tom

> Cheers,
> Charles
>
>
>    
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
>> Behalf Of Charles Eckel (eckelcu)
>> Sent: Wednesday, December 19, 2012 2:08 PM
>> To: Tom Kristensen (tomkrist); [email-masked]
>> Cc: 'Tom Kristensen'
>> Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-rfc4582bis-07.txt
>>
>> Everyone who submitted WGLC comments, please confirm this version
>> addresses all your comments satisfactorily.
>> Everyone else, please review the entire draft carefully and share any
>> comment or concerns you have.
>> Thanks to Tom for incorporating all the feedback and posting this update.
>>
>> Happy Holidays!
>> Charles
>>
>>      
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]] On
>>> Behalf Of Tom Kristensen (tomkrist)
>>> Sent: Wednesday, December 19, 2012 5:45 AM
>>> To: [email-masked]
>>> Cc: 'Tom Kristensen'
>>> Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-rfc4582bis-07.txt
>>>
>>> On 12/19/2012 02:20 PM, [email-masked] wrote:
>>>        
>>>> A New Internet-Draft is available from the on-line Internet-Drafts
>>>>          
>>> directories.
>>>        
>>>>    This draft is a work item of the Binary Floor Control Protocol Bis
>>>>          
>> Working
>>      
>>> Group of the IETF.
>>>        
>>>> 	Title           : The Binary Floor Control Protocol (BFCP)
>>>> 	Author(s)       : Gonzalo Camarillo
>>>>                             Keith Drage
>>>>                             Tom Kristensen
>>>>                             Joerg Ott
>>>>                             Charles Eckel
>>>> 	Filename        : draft-ietf-bfcpbis-rfc4582bis-07.txt
>>>> 	Pages           : 89
>>>> 	Date            : 2012-12-19
>>>>
>>>>          
>>> Changes from -06:
>>> - Language clarification - mail on list from Charles Eckel 2012-10-13
>>> - Language clarification - use "BFCP connection" across the document,
>>>     change three occurences of "BFCP association".
>>> - Resolved a lot of issues, small and large - mail on list 2012-10-24
>>>     after WGLC from Gonzalo Camarillo. Also, later mail discussion
>>>     with regard to 5 of the issues.
>>> - Added reference to RFC 5763, Section 6.7 - mail on list from Christer
>>>     Holmberg 2012-11-28.
>>>
>>>
>>> To my knowledge, in this draft version all the issues from WGLC and
>>> after are answered and fixed if appropriate.
>>>
>>>
>>> -- Tom
>>> _______________________________________________
>>> bfcpbis mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/bfcpbis
>>>        
>> _______________________________________________
>> bfcpbis mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/bfcpbis
>>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Fri, 4 Jan 2013 17:42:53 +0000

Please see inline.

> From: Tom Kristensen (tomkrist)
> Sent: Friday, January 04, 2013 8:00 AM
> To: Charles Eckel (eckelcu)
> Cc: [email-masked]; 'Tom Kristensen'
> > 1) many of the references to [16] do not work correctly, including the first
> reference in section 3.2, as well as those in section 6.2.
> >

Sorry for being so vague. 
In the html version of the draft (http://tools.ietf.org/html/draft-ietf-bfcpbis-rfc4582bis-07), clicking on any of the links for "[16]" take me to section 6.2 instead of to the appropriate reference in the references section. In fact, it takes me to another occurrence of a reference to [16] that for some reason is not displaying as a link.
However, if I download the xml version of the draft and run xml2rfc on it myself, the resulting html version is fine. Perhaps it is a bug in the datatracker html file generator (e.g. it cannot handle a reference appearing at the start of a paragraph), and not an issue with your draft.

Cheers,
Charles

> > r/BFCP is designed to a achieve small message size, as explained in
> Section 1 and BFCP entities/BFCP is designed to achieve small message size,
> as explained in Section 1, and BFCP entities
> >
> Right. Fixed.
> 
> > 3) Section 6.2:
> > Note, a similar change was made in many places in order to address
> comments from Gonzalo; however, a global search and replace should be
> done to catch numerous other places in which it still occurs.
> >

---

From: Tom Kristensen <[email-masked]>
Date: Mon, 07 Jan 2013 09:18:41 +0100

On 01/04/2013 06:42 PM, Charles Eckel (eckelcu) wrote:

[...]
> However, if I download the xml version of the draft and run xml2rfc on it myself, the resulting html version is fine. Perhaps it is a bug in the datatracker html file generator (e.g. it cannot hand…
Adding "RFC 5018" in front of the reference, so that the reference 
doesn't appear at the start of this paragraph. Will hopefully fix it!

-- Tom

[...]